<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Airline</title>
    <link rel="stylesheet" href="./css/formPage.css" />
    <link rel="stylesheet" href="./css/style.css" />
    <link rel="stylesheet" href="./css/search-bar.css" />
  </head>
  <body>
    <div class="nav-bar">
      <h4>Rise Airlines<span><img src="./assets/header-plane.png" alt="icon"/></span></h4>
      <ul class="nav-bar-links-contatiner">
        <li class="nav-link"><a href="./airlines.html">Airlines</a></li>
        <li class="nav-link"><a href="./airports.html">Airports</a></li>
        <li class="nav-link"><a href="./flights.html">Flights</a></li>
      </ul>
    </div>
    <div class="container-form">
      <div class="container-head">
        <a href="/"><img src="./assets/left sidebar.png" alt="bar" /></a>
        <h1>Airline</h1>
      </div>
      <div class="search-bar" id="search-bar">
        <p>Choose filter and search:</p>
        <form id="search-form" action="Search" method="post">
          <select class="dropdown" name="filter">
            <option value="Flight_Number">Flight Number</option>
            <option value="Airline">Airline</option>
            <option value="Country">Country</option>
            <option value="City">City</option>
            <option value="Code">Code</option>
            <option value="Name">Name</option>
          </select>
          <input type="search" name="value" placeholder="Search" required />
          <input type="submit" value="Submit" class="button" />
        </form>
      </div>
      <div id="loading-overlay">
        <div class="spinner"></div>
      </div>
      <table class="table" id="table">
        <thead>
          <tr class="table-head">
            <th class="table-head-tag">Name</th>
            <th class="table-head-tag">Fleet size</th>
            <th class="table-head-tag">Founded</th>
            <th class="table-head-tag">Description</th>
            <th class="table-head-tag">Buttons</th>
          </tr>
        </thead>
        <tbody id="table-body"></tbody>
      </table>
      <button class="block-button-show scroll-top" id="scroll-top">
        Go top
      </button>
      <button class="block-button-show" id="show-more" onclick="showMore()">
        Show More
      </button>
      <a href="#" class="block-button-form" id="show-form" onclick="showForm()">Show Form</a>
      <form class="form hidden" id="form" action="Create" method="post">
        <legend>Add new Airline</legend>

        <label for="name">Name</label>
        <input type="text" id="name" name="name" required />

        <span class="validation hidden" id="name-valid">Name must be filled</span>

        <label for="founded">Founded</label>
        <input type="date" id="founded" name="founded" required />

        <span class="validation hidden" id="founded-valid">Founded must be filled</span>

        <label for="fleet_size">Fleet Size</label>
        <input type="text" id="fleet_size" name="fleet_size" required />

        <span class="validation hidden" id="fleet-valid">Fleet size must be filled</span>

        <label for="description">Description</label>
        <textarea id="description" name="description" required></textarea>

        <span class="validation hidden" id="description-valid">Description must be filled</span>
        <input
          type="submit"
          class="block-button-form"
          id="submit-button"
          value="Submit"
        />
      </form>
    </div>
    <div class="footer">
      <p>Rise Airlines 2024 ©</p>
    </div>
    <script type="module" src="./js/airlineValidation.js"></script>
    <script src="./js/showForm.js" async defer></script>
    <script src="./js/animation.js"></script>
  </body>
</html>
